Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Interface Connectable

All Superinterfaces:
  Disposable, Initialisable, Lifecycle, Startable, Stoppable

All Known Subinterfaces:
  Connector, MessageDispatcher, MessageReceiver, MessageRequester

All Known Implementing Classes:
  AbstractConnectable, AbstractConnector, AbstractJndiConnector, AbstractMailConnector, AbstractMessageDispatcher, AbstractMessageReceiver, AbstractMessageRequester, AbstractPollingMessageReceiver, AbstractRetrieveMailConnector, AbstractTlsRetrieveMailConnector, ActiveMQJmsConnector, ActiveMQXAJmsConnector, AjaxConnector, AjaxMessageDispatcher, AjaxMessageReceiver, AjaxServletConnector, AxisConnector, AxisMessageDispatcher, AxisMessageReceiver, AxisMessageRequester, AxisWsdlConnector, AxisWsdlMessageDispatcher, EjbConnector, EjbMessageDispatcher, EjbMessageReceiver, ExceptionReturnTcpMessageReceiver, FileConnector, FileMessageDispatcher, FileMessageReceiver, FileMessageRequester, FtpConnector, FtpMessageDispatcher, FtpMessageReceiver, FtpMessageRequester, GmailSmtpConnector, HttpClientMessageDispatcher, HttpClientMessageRequester, HttpConnector, HttpMessageReceiver, HttpPollingConnector, HttpsClientMessageDispatcher, HttpsConnector, HttpsMessageReceiver, HttpsPollingConnector, IBeansConnector, IBeansMessageDispatcher, IBeansMessageReceiver, ImapConnector, ImapsConnector, JBpmConnector, JdbcConnector, JdbcMessageDispatcher, JdbcMessageReceiver, JdbcMessageRequester, JettyHttpConnector, JettyHttpMessageReceiver, JettyHttpsConnector, JmsConnector, JmsMessageDispatcher, JmsMessageReceiver, JmsMessageRequester, JnpConnector, LocalSocketTcpMessageDispatcher, MuleMQJmsConnector, MuleMQXAJmsConnector, MulticastConnector, MulticastMessageReceiver, MultiConsumerJmsMessageReceiver, NullConnector, PollingHttpMessageReceiver, PollingTcpConnector, PollingTcpMessageReceiver, Pop3Connector, Pop3sConnector, ProcessConnector, ProcessMessageDispatcher, ProcessMessageReceiver, PromptStdioConnector, QuartzConnector, QuartzMessageDispatcher, QuartzMessageReceiver, RetrieveMessageReceiver, RetrieveMessageRequester, RmiCallbackMessageReceiver, RmiConnector, RmiMessageDispatcher, RmiMessageReceiver, ServletConnector, ServletMessageReceiver, SingleJmsMessageReceiver, SmtpConnector, SmtpMessageDispatcher, SmtpsConnector, SslConnector, SslMessageReceiver, StdioConnector, StdioMessageDispatcher, StdioMessageReceiver, TcpConnector, TcpMessageDispatcher, TcpMessageReceiver, TcpMessageRequester, TlsConnector, TransactedPollingMessageReceiver, TransactedSingleResourceJmsMessageReceiver, UdpConnector, UdpMessageDispatcher, UdpMessageReceiver, UdpMessageRequester, UnsupportedMessageDispatcher, UnsupportedMessageRequester, VMConnector, VMMessageDispatcher, VMMessageReceiver, VMMessageRequester, WeblogicJmsConnector, WebsphereJmsConnector, WebsphereTransactedJmsMessageReceiver, XaTransactedJmsMessageReceiver, XmppConnector, XmppMessageDispatcher, XmppMessageReceiver, XmppMessageRequester, XmppPollingMessageReceiver

    public interface Connectable

extends Lifecycle

Interface for objects that should connect to a resource.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`void` | `connect()` Make the connection to the underlying transport.
`void` | `disconnect()` Disconnect the from the underlying transport
`String` | `getConnectionDescription()` Returns a string identifying the underlying resource
`boolean` | `isConnected()` Determines if this object is connected or not
`RetryContext` | `validateConnection(RetryContext retryContext)` Test whether the connector is able to connect to its resource(s).

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Method Detail

### connect

    void connect()
                 throws Exception

  Make the connection to the underlying transport. The fact that this object is connected or not should have no influence on the lifecycle, especially the start / stop state if applicable.

  Throws:
    `Exception`

### disconnect

    void disconnect()
                    throws Exception

  Disconnect the from the underlying transport

  Throws:
    `Exception`

### isConnected

    boolean isConnected()

  Determines if this object is connected or not

### getConnectionDescription

    String getConnectionDescription()

  Returns a string identifying the underlying resource

### validateConnection

    RetryContext validateConnection(RetryContext retryContext)

  Test whether the connector is able to connect to its resource(s). This will allow a retry policy to go into effect in the case of failure. Implementations must call either:
  - `RetryContext.setOk()` when no problems found (or no validation required).
  - `RetryContext.setFailed(Throwable)` with a root cause for a connection failure.
  Callers should then check for `RetryContext.isOk()`. The failure, if any, will be provided via the `RetryContext.getLastFailure()`.

  Returns:
    same retry context with status info set and any failures populated
  Throws:
    `Exception` - if the connector fails to connect @param retryContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.